Bug 68586 - printconf not upgraded cleanly
printconf not upgraded cleanly
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: printconf (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-07-11 09:27 EDT by Michael Young
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-14 08:20:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Young 2002-07-11 09:27:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020625

Description of problem:
I upgraded my system from 7.3 to limbo, and have just noticed I have 2 printconf
packages, printconf-0.3.77-1 and printconf-0.4.5-1.
The following errors are in upgrade.log

Upgrading printconf-0.4.5-1.
  File "/usr/share/printconf/util/import_printtool_queues.py", line 23
    __debug__ = 0
SyntaxError: can not assign to __debug__
  File "/usr/share/printconf/util/import_printtool_queues.py", line 23
    __debug__ = 0
SyntaxError: can not assign to __debug__
  File "/usr/share/printconf/util/import_printtool_queues.py", line 23
    __debug__ = 0
SyntaxError: can not assign to __debug__
execution of %trigger scriptlet from printconf-0.3.77-1 failed, exit status 1

execution of %trigger scriptlet from printconf-0.3.77-1 failed, exit status 1

execution of %trigger scriptlet from printconf-0.4.5-1 failed, exit status 1


Steps to Reproduce:
1. upgrade 7.3 to limbo
2. rpm -q printconf

Actual Results:  Upgrade of printconf produced errors, leaving two packages
listed by rpm

Expected Results:  printconf-0.3.77-1 should have been replaced cleanly by
printconf-0.4.5-1
Comment 1 Tim Waugh 2002-07-11 09:38:07 EDT
Thanks. 
 
__debug__ assignment removed in CVS.
Comment 2 Tim Waugh 2002-07-14 08:19:57 EDT
Fixed package is redhat-config-printer-0.4.14-1.
Comment 3 Jay Turner 2002-09-03 11:58:03 EDT
Fix confirmed with redhat-config-printer-0.4.23-1.

Note You need to log in before you can comment on or make changes to this bug.